#ifndef CMS_ERR_H
#define CMS_ERR_H

typedef enum cms_err
{
	CMS_ERR_NONE,
	CMS_ERR_UNKNOWN,
	CMS_ERR_ALLOC,
	CMS_ERR_PARSE,
	CMS_ERR_NOENT,
	CMS_ERR_NOTFILE,
	CMS_ERR_NOTDIR,
	CMS_ERR_FILEEXISTS,
	CMS_ERR_DIREXISTS,
	CMS_ERR_PERM,
	CMS_ERR_INITED,
	CMS_ERR_NOTINITED
} cms_err;

void _cms_err_panic(cms_err err, char* msg, const char* file, int line);
#define cms_err_panic(err, msg) _cms_err_panic(err, msg, __FILE__, __LINE__)

cms_err cms_err_from_std_err(int err);

#endif

